MCP Tools Reference: file.googleapis.com

Tool: filestore_get_snapshot

Gets the details of a specific snapshot.

The following sample demonstrate how to use curl to invoke the filestore_get_snapshot MCP tool.

Curl Request
                  
curl --location 'https://file.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "filestore_get_snapshot",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetSnapshotRequest gets the state of a snapshot.

GetSnapshotRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The snapshot resource name, in the format projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}

Output Schema

A Filestore snapshot.

Snapshot

JSON representation
{
  "name": string,
  "description": string,
  "state": enum (State),
  "createTime": string,
  "labels": {
    string: string,
    ...
  },
  "filesystemUsedBytes": string,
  "tags": {
    string: string,
    ...
  }
}
Fields
name

string

Output only. The resource name of the snapshot, in the format projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}.

description

string

A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected.

state

enum (State)

Output only. The snapshot state.

createTime

string (Timestamp format)

Output only. The time when the snapshot was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

filesystemUsedBytes

string (int64 format)

Output only. The amount of bytes needed to allocate a full copy of the snapshot content

tags

map (key: string, value: string)

Optional. Input only. Immutable. Tag key-value pairs bound to this resource. Each key must be a namespaced name and each value a short name. Example: "123456789012/environment" : "production", "123456789013/costCenter" : "marketing" See the documentation for more information: - Namespaced name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_key - Short name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_value

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

TagsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

State

The snapshot state.

Enums
STATE_UNSPECIFIED State not set.
CREATING Snapshot is being created.
READY Snapshot is available for use.
DELETING Snapshot is being deleted.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌